Apps
Knowledge
People
Register
Login


-
- Content .- Fans (19) .- Knowledge Base (2) . 

grauphel - Tomboy sync server

   0.6.4  

ownCloud Productivity

Score 76%
grauphel - Tomboy sync server
zoom


grauphel - Tomboy sync server
zoom


grauphel - Tomboy sync server
zoom


Version Control:  Link
Issue Tracker:  Link
Version Control:  Link
Homepage:  Link
Minimum required   ownCloud 8.0
Maximum required   ownCloud 9.2
Downloads:  3119
Submitted:  Aug 23 2014
Updated:  May 10 2016

Description:

grauphel - tomboy REST server. ownCloud application implementing the Tomboy REST API for syncing notes.

Works with the following clients:
- Conboy (Nokia N900 Maemo)
- Tomboy (Linux, Windows)
- Tomdroid (Android)

Requires the PHP OAuth extension from pecl.php.net (C extension).
Installation instructions at http://cweiske.de/grauphel.htm#installation

Please report bugs at https://github.com/cweiske/grauphel/issues




Changelog:

0.6.4 - 2016-05-10
- Fix #41: Use correct SQL datetime format for tokens

0.6.3 - 2016-04-27
- Fix #40: Remove unneeded constructor parameter

0.6.2 - 2016-03-18
- Fix #37: Fix fatal error with ownCloud 9

0.6.1 - 2015-09-21
- Fix #20 and #25: Add authorization header workaround for fcgid

0.6.0 - 2015-09-18
- Fix search in ownCloud 8.1
- Fix #22 and #24: Escape slashes in tags in URLs
- Fix #28: array_shift() E_NOTICE in owncloud.log
- Move note filtering onto the SQL server
- Register app menu icon more efficiently
- Add SVG icon

0.5.1 - 2015-06-04
- Fix #19: Tabs ignored in HTML export

0.5.0 - 2015-03-17
- Implement standalone HTML mode for notes
- Implement reStrucuredText rendering for notes
- Show error page when OAuth extension is not installed
- Search is case-insensitive now

0.4.0 - 2014-10-29
- Implement note preview
- Implement note search
- Implement note download (JSON + XML)
- Add note modification date display to list
- Add highlighting of current notebook in list
- Add custom icon

0.3.0 - 2014-10-14
- Implement token management
- Implement database management (reset)
- Add computer name input field on authorization page
- Use transactions during sync

0.2.1 - 2014-10-03
- Fix bug #8: Titled blank notes cause SQL error

0.2.0 - 2014-09-27
- PostgreSQL works
- Tomdroid sync works
- New access token overview page

0.1.0 - 2014-09-26
- Sync works between tomboy and conboy.
- Tomdroid does not yet work.




LicenseAGPL
All Versions
Send to a friend
Subscribe
Other  Apps  from cweiske
Report inappropriate content



goto page: prev   1  2  3  4  5 

-
.

 Tomboy 1.15.4 not registering

 
 by LinuxL0ver on: Jan 15 2017
 
Score 50%

I've setup grauphel and was able to register tomdroid :-) , but tomboy reports it cannot contact the server? :-(
Not sure what I do wrong, but the documentation page to help me with the setup is "not found"
http://cweiske.de/docs/howto.rst
I tried both Tomboy Web and WebDAV.
The first says "Server not responding" the latter complains that I do not have FUSE installed.
What is the proper way to setup Tomboy Syncing?

Thank you, LinuxL0ver


Reply to this

-

 Re: Tomboy 1.15.4 not registering

 
 by cweiske on: Jan 19 2017
 
Score 50%

Ive fixed the link to the documentation, its available at http://cweiske.de/grauphel-howto.htm now.


Reply to this

-

 Re: Re: Tomboy 1.15.4 not registering

 
 by LinuxL0ver on: Jan 20 2017
 
Score 50%

Hmm. Step 9 never happens.
Instead I get "Server not responding. Try again later."


Reply to this

-

 Re: Re: Tomboy 1.15.4 not registering

 
 by LinuxL0ver on: Jan 20 2017
 
Score 50%

Hmm. Step 9 never happens.
Instead I get "Server not responding. Try again later."


Reply to this

-
.

 Re: Tomboy 1.15.4 not registering

 
 by LinuxL0ver on: Jan 21 2017
 
Score 50%

OK, I seem to have found a workaround.

My site has both http and https enabled.
By default one gets redirected to the https version and thus the link presented is with https, but when I strip the 's' and make it an http link. The connection works, and I get authenticated!

Most peculiar...
Does the syncing not work over https? That would be a bad thing!!! For now, I'm syncing within my local network, but if I want to allow for syncing when away from home, that poses a big problem!

Not sure where to start digging?...


Reply to this

-

 Re: Re: Tomboy 1.15.4 not registering

 
 by cweiske on: Jan 21 2017
 
Score 50%

I've running ownCloud with HTTPS only, and that works properly. I did not try with both HTTP+HTTPS enabled. Please open a bug for this on github.


Reply to this

-

 Grauphel on Nextcloud

 
 by nscomputing on: Mar 16 2017
 
Score 50%

The Grauphel 0.6.4 is working fine on my Nextcloud 10.0.3.
Only this warning is displayed: "This app has no minimum Nextcloud version assigned. This will be an error in the future."

Did anyone tried to run it on Nextcloud 11?


Reply to this

-

 Re: Grauphel on Nextcloud

 
 by cweiske on: Mar 16 2017
 
Score 50%

Works fine here on Nextcloud 11.


Reply to this

-

 Re: Re: Grauphel on Nextcloud

 
 by nscomputing on: Mar 19 2017
 
Score 50%

Yes, it is working fine on Nextcloud 11. Thank you very much.


Reply to this

-

 Re: Re: Grauphel on Nextcloud

 
 by bigboss86 on: May 23 2017
 
Score 50%

Grauphel 0.6.4, does not work with Nextcloud 12.

It is recognized, but i cannot enable it, only remove it.

Maybe i have made a wrong configuration, could you try it out?


Reply to this

-

 Re: Re: Re: Grauphel on Nextcloud

 
 by nscomputing on: May 23 2017
 
Score 50%

I am still with the Nextcloud 11. Will try it after upgrading my installation to Nextcloud 12.


Reply to this

-

 Re: Grauphel on Nextcloud

 
 by bigboss86 on: May 23 2017
 
Score 50%

Grauphel 0.6.4, does not work with Nextcloud 12.

It is recognized, but i cannot enable it, only remove it.


Reply to this

-

 Re: Re: Grauphel on Nextcloud

 
 by nscomputing on: May 24 2017
 
Score 50%

I just upgraded my test installation of the Nextcloud 11.0.3 with the Grauphel 0.6.4 to Nextcloud 12.

During upgrade all third party applications were disabled. After first login I enabled Grauphel without any problem and it is working fine on this test Nextcloud 12 installation.

Now, I will upgrade my production server from Nextcloud 11.0.3 (with Grauphel 0.6.4) to Nextcloud 12.


Reply to this

-

 Re: Re: Re: Grauphel on Nextcloud

 
 by bigboss86 on: May 28 2017
 
Score 50%

Strange, i could not upgrade it. So i "reinstalled" it but this time using Nextcloud 12. However when copying Grauphel to the apps folder, it is still not activated. The "enable" is grey..i can only press "remove".


Reply to this

-

 Re: Re: Re: Grauphel on Nextcloud

 
 by bigboss86 on: May 28 2017
 
Score 50%

Nevermind, i fixed the issue..

sudo apt install php-oauth

Somehow ubuntu had deleted php-oauth.


Reply to this

goto page: prev   1  2  3  4  5 

Add commentBack




-
 
 Who we are
Contact
Register
Explore
Apps
Knowledge
People
Participate
Add App
Public API
About apps.ownCloud.com
Legal Notice
Report Abuse
 

Copyright 2011-2017 apps.ownCloud.com Team  
All rights reserved. apps.ownCloud.com is not liable for any content or goods on this site.
All contributors are responsible for the lawfulness of their uploads.